Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gdk::PixbufFormat Class Reference

A GdkPixbufFormat C++ wrapper class. More...

`#include <inti/gdk-pixbuf/pixbuf.h>`

Inheritance diagram for Inti::Gdk::PixbufFormat:

List of all members.

## Public Member Functions

Constructors

- PixbufFormat (GdkPixbufFormat *format)
    Construct a new PixbufFormat from an existing GdkPixbufFormat.
- ~PixbufFormat ()
    Destructor.

Accessors

- GdkPixbufFormat * gdk_pixbuf_format () const
    Get a pointer to the GdkPixbufFormat structure.
- String get_name () const
    Returns the name of the format.
- String get_description () const
    Returns a description of the format.
- std::vector< String > get_mime_types () const
    Gets the mime types supported by the format.
- std::vector< String > get_extensions () const
    Gets the filename extensions typically used for files in the given format.
- bool is_writable () const
    Returns true if pixbufs can be saved in the given format.

## Detailed Description

A GdkPixbufFormat C++ wrapper class.

A PixbufFormat contains information about the image format accepted by a module. Only modules should access the GdkPixbufFormat fields directly, applications should use the PixbufFormat accessor methods.

## Constructor & Destructor Documentation

Inti::Gdk::PixbufFormat::PixbufFormat | ( | GdkPixbufFormat * | format | ) | `[explicit]`

  | Construct a new PixbufFormat from an existing GdkPixbufFormat. Parameters:
  format | A pointer to a GdkPixbufFormat.

## Member Function Documentation

std::vector<String> Inti::Gdk::PixbufFormat::get_extensions | ( |  | ) | const

| Gets the filename extensions typically used for files in the given format. Returns: A vector of String holding the list of filename extensions.

std::vector<String> Inti::Gdk::PixbufFormat::get_mime_types | ( |  | ) | const

| Gets the mime types supported by the format. Returns: A vector of String holding the list mime types.

The documentation for this class was generated from the following file:

- pixbuf.h

Main Page - Footer